Search found 2 matches

by matt
Fri Sep 15, 2017 3:41 pm
Forum: Python scripting and macros
Topic: length of Bezier curve
Replies: 1
Views: 770

length of Bezier curve

Hi, I want to calculate the length of an Bezier curve import FreeCAD import Part P1=FreeCAD.Vector(0,1) P2=FreeCAD.Vector(0,0) P3=FreeCAD.Vector(1,0) b = Part.BezierCurve() b.setPoles([P1,P2,P3]) #b.setWeight(1,5) # --> difference in length increases = 0.0026 # length from Part.BezierCurve().length(...
by matt
Mon Jul 17, 2017 2:43 pm
Forum: Open discussion
Topic: Civil engineering feature implementation (Transportation Engineering)
Replies: 1277
Views: 225650

Re: Civil engineering feature implementation

as a sidenote, alignment is implemented in ifc as ifcalignment

If I understood it correctly, parsing an "ifc-alignment-file" was implemented recently in ifcopenshell

maybe that helps?